Bullet Collision Detection & Physics Library: btConvexHullInternal::Vertex Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btConvexHullInternal::Vertex Class Reference
Collaboration diagram for btConvexHullInternal::Vertex:
[legend]

## Public Member Functions
| Vertex ()
Point32 | operator- (const Vertex &b) const
Rational128 | dot (const Point64 &b) const
btScalar | xvalue () const
btScalar | yvalue () const
btScalar | zvalue () const
void | receiveNearbyFaces (Vertex *src)

## Public Attributes
Vertex * | next
Vertex * | prev
Edge * | edges
Face * | firstNearbyFace
Face * | lastNearbyFace
PointR128 | point128
Point32 | point
int | copy

## Detailed Description

Definition at line 428 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Vertex()

btConvexHullInternal::Vertex::Vertex | ( |  | ) |
| inline

Definition at line 440 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ dot()

Rational128 btConvexHullInternal::Vertex::dot | ( | const Point64 & | b | ) | const
| inline

Definition at line 458 of file btConvexHullComputer.cpp.

## ◆ operator-()

Point32 btConvexHullInternal::Vertex::operator- | ( | const Vertex & | b | ) | const
| inline

Definition at line 453 of file btConvexHullComputer.cpp.

## ◆ receiveNearbyFaces()

void btConvexHullInternal::Vertex::receiveNearbyFaces | ( | Vertex * | src | ) |
| inline

Definition at line 479 of file btConvexHullComputer.cpp.

## ◆ xvalue()

btScalar btConvexHullInternal::Vertex::xvalue | ( |  | ) | const
| inline

Definition at line 464 of file btConvexHullComputer.cpp.

## ◆ yvalue()

btScalar btConvexHullInternal::Vertex::yvalue | ( |  | ) | const
| inline

Definition at line 469 of file btConvexHullComputer.cpp.

## ◆ zvalue()

btScalar btConvexHullInternal::Vertex::zvalue | ( |  | ) | const
| inline

Definition at line 474 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ copy

int btConvexHullInternal::Vertex::copy

Definition at line 438 of file btConvexHullComputer.cpp.

## ◆ edges

Edge* btConvexHullInternal::Vertex::edges

Definition at line 433 of file btConvexHullComputer.cpp.

## ◆ firstNearbyFace

Face* btConvexHullInternal::Vertex::firstNearbyFace

Definition at line 434 of file btConvexHullComputer.cpp.

## ◆ lastNearbyFace

Face* btConvexHullInternal::Vertex::lastNearbyFace

Definition at line 435 of file btConvexHullComputer.cpp.

## ◆ next

Vertex* btConvexHullInternal::Vertex::next

Definition at line 431 of file btConvexHullComputer.cpp.

## ◆ point

Point32 btConvexHullInternal::Vertex::point

Definition at line 437 of file btConvexHullComputer.cpp.

## ◆ point128

PointR128 btConvexHullInternal::Vertex::point128

Definition at line 436 of file btConvexHullComputer.cpp.

## ◆ prev

Vertex* btConvexHullInternal::Vertex::prev

Definition at line 432 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp